


/* 

   Name:            CallSign.rexx
   Version:         $VER: CallSign_rexx 1.21 (10.01.2000)
   Author:          Jan-Erik Tervo
   
   Description:     Will change Caller Type to 'FAX' _if_ received Ring string is 'RING2'.
                    
                    Change 'RING2' to your corresponding fax CallSign RING.
                    
                    If you don't have CallSign feature connected to your phone line then
                    you may want to change 'RING2' to 'RING' and change the Type example
                    to Known.
                    
                    Intertex (at least IX 36 Extended DL) owners: Distinctive Ring is 
                    enabled with command: 'AT-sdr=7'
                    
                    Feel free to modify this script to suite your needs.
   
   Requires:        AOS 3 or newer, ARexx, CIM r32 or better with ARexx Port enabled

*/



     OPTIONS RESULTS

     ADDRESS COMMAND 'run >NIL: RequestChoice "CIM" "CallSign_rexx executing.." "OK"'





     ADDRESS CIM
     
     /* Is Incoming call going on? */

     DEVICE_OCP

     IF RC=5 THEN DO
     
                    /* Incoming call is going on, so we will continue. */

                    /* Lets get the received RING string.. */
          
                    RECEIVED_RINGSTR
           
                    /* change the Type IF correct RING-type was received.
                       In this example we are looking for "RING2" */
                    
                    IF RESULT="RING2" THEN DO
                    
                                   SET_TYPE "FAX"
                    
                                   /* If we want to execute the new Type script,
                                      a script execution reset must be done */
                    
                                   SCRIPT_EXERESET
                                   
                                   /* If FAX script configuration is done and
                                      valid at Settings/Scripts/, then it will be
                                      executed shortly. */
                                      
                                   ADDRESS COMMAND 'run >NIL: RequestChoice "CIM" "CallSign_rexx Changed Type to FAX" "OK"'

                    END
          
             

     END
     



